Subject: [Tools-team] Fw: Software tools for IETF -- suggestions?

From: Henrik Levkowetz <[email-masked]>
Date: Sat, 11 Sep 2004 09:08:39 +0200

... Forwarding this to the tools-team list with Bernard's permission.

	Henrik

-------- Begin forwarded message: --------

Date: Fri, 10 Sep 2004 16:02:05 -0700 (PDT)
From: Bernard Aboba <[email-masked]>
To: Henrik Levkowetz <[email-masked]>
Subject: Re: Software tools for IETF -- suggestions?

Thanks for asking.

Personally, I would like the following tools:

a. A tool for automatic submission of Internet Drafts.  In IEEE 802 it is
possible for participants to submit documents and have them be instantly
available on the web site. I'd like to see the IETF do the same thing,
particularly since human intervention in the submission process adds
considerable delay and expense.

To avoid formatting problems, perhaps the "ID-NITs" script could be run on
submissions prior to accepting them, to make sure they are acceptable.

b. One or more formally supported issue tracking systems.  While we have a
number of tools used today, including RT, Roundup, Bugzilla, etc. they are
not formally supported.  For example, Roundup has some patches for
IETF use that aren't incorporated in the normal Roundup build, so when a
new version of Roundup comes out you need to apply the patches all over
again.  So I'd like to see one or more tools customized for IETF with the
customization included in the official builds.  If we have to set some
money aside for support to make this happen, this is probably not a big
problem, assuming that the TOOLS team thinks it is the right thing to
do. I'd also like to see the IETF formally  host one or more of the Issue
tracking tools so that any WG interested could get access to a hosted tracker.
I think we can probably come up with the funds for this if we had one or
more tracking tools that could be hosted in an economical way and
a proposal for the support arrangements for maintaining them.

c. Archive access tools.  The IETF doesn't maintain an archive of old
drafts, but I think this is something we should move towards.  If and when
we do this, it might be nice to have a search facility somewhat more
sophisticated than what is available on say, http://www.watersprings.org/.

On Sat, 11 Sep 2004, Henrik Levkowetz wrote:

> (This is a copy of a posting made to the [email-masked] mailing list
>  - I think that wgchairs may have particularly interesting tool
>  suggestions, so don't want you to miss it :-)  /Henrik)
>
>
> IETFers,
>
> Do you have ideas for software tools that would make your IETF work
> easier? Do you have feedback about current IETF automation efforts?
>
> As part of the overall effort to improve IETF operations and structure,
> a Tools team has been chartered to develop requirements for additional
> and revised electronic tools to aid in the IETF operations.
>
> The charter of the Tools team (found at the IETF Tools web site,
> http://tools.ietf.org/) focuses initially on tools to improve the
> interface between IETF administration and the broader community; but
> will also look at tools to aid in the operation of individual working
> groups and the tasks of standards development.
>
> The Tools team is soliciting new tool suggestions and general comments,
> to be refined into a series of tool specifications.  Tool specifications
> will then be used to implement or adopt software for IETF.
>
> The first item on Tools team list is the automation of draft submission
> to allow for quick and painless validation and posting of Internet-Drafts.
> The first document describing the new draft submission tool is available at:
> http://www.ietf.org/internet-drafts/draft-ietf-tools-draft-submission-00.txt
>
> What should we work on next? Please visit the list of possible future
> tools and send us additions as well as priority preferences:
> http://tools.ietf.org/wiki/ToolSuggestions
>
> Please send all Tools-related feedback to [email-masked], a
> newly formed mailing list; do this also if you add information to the
> wiki pages.  Subscription instructions:
> https://www1.ietf.org/mailman/listinfo/tools-discuss
>
> --------
>
> The members of the tools team are:
>
>   * Alex Rousskov
>   * Bill Fenner
>   * Larry Masinter
>   * Stanislav Shalunov
>   * Henrik Levkowetz (chair)
>
> Schedule:
>
>   The group will initially focus on additional tools for use in the
>   interface between the IETF administration and the broader IETF
>   community.  The first draft of a set of requirements for an
>   Internet-Drafts Submission Tool has been posted, and feedback is
>   welcome.
>
>   Other administrative tools are expected to be specified over the next
>   six months. We will put together a list and priority schedule within
>   that time frame.
>
>   The Tools team may also conduct polls within the community for input on
>   priorities, requirements, and feedback on currently deployed tools.
>
>   After the initial focus on administrative tools, the group will turn
>   its attention to tools of use for aiding working groups, authors and
>   other parts of the IETF community.
>
> --------
>
> 	Regards,
>
> 		Henrik
>

_______________________________________________
Tools-team mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tools-team